Bug 542994 - Bluetooth keyboard/mouse not working.
Bluetooth keyboard/mouse not working.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
15
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 07:30 EST by Joel Kirchmeyer
Modified: 2012-08-07 15:15 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Kirchmeyer 2009-12-01 07:30:54 EST
Description of problem:
I know it's not hardware due to the fact that I can use it under other OS's and pair keyboards/mice.

Version-Release number of selected component (if applicable):
Any stock kernel or custom compiled. Currently using below bluez packages but same error occurred with previous version as well.
bluez-4.58-1.fc12.i686
bluez-cups-4.58-1.fc12.i686
bluez-libs-4.58-1.fc12.i686

How reproducible:
Every boot.

Steps to Reproduce:
1. Boot
  
Actual results:
Starting udev: usb_id[1035]: unable to access '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/input/input14/event14'

usb_id[1036]: unable to access '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/input/input14/mouse2'


Expected results:


Additional info:
Machine: DELL Precision M6400
Bluetooth: DELL Wireless 370 Bluetooth Minicard
Comment 1 Joel Kirchmeyer 2009-12-03 13:18:19 EST
I forgot to mention that I have used this exact machine and bluetooth card on Fedora 11 with success. I believe with bluez 4.42.
Comment 2 Bastien Nocera 2009-12-03 14:05:56 EST
Which version of udev do you use? Any bluetoothd error messages on the command-line?
Comment 3 Joel Kirchmeyer 2009-12-03 14:24:53 EST
For udev...

udev-145-14.fc12.i686
libudev-145-14.fc12.i686

Haven't seen errors other than when I try to use the device... it will pair... but blueman as an example says "Software caused connection abort(103)" or "Connection timed out (110)". At one point though I went looking for the path from above and it didn't exist or it did up to /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0 rather but there was no input directory and below.

Hopefully this information is helpful.
Comment 4 Joel Kirchmeyer 2009-12-12 09:56:17 EST
Is there anything further I can provide?
Comment 5 Joel Kirchmeyer 2010-01-19 08:31:16 EST
Am I the only user experiencing this issue?
Comment 6 Joel Kirchmeyer 2010-07-19 13:52:54 EDT
In 13 I now receive the following

udevd-work[719]: 'hid2hci --method=dell --devpath=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0' unexpected exit with status 0x000a


I don't see that I have hid2hci is this no longer included?
Comment 7 Joel Kirchmeyer 2010-07-20 07:13:49 EDT
I ran the command in the boot log and things worked until I rebooted. Now I receive the following...

Starting udev: usb_id[1186]: unable to access '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/input/input6/mouse1'
usb_id[1188]: unable to access '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/input/input6/event6'

usb_id[1190]: unable to access '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/input/input6/event6'
Comment 8 Bastien Nocera 2010-07-20 10:18:58 EDT
(In reply to comment #6)
> In 13 I now receive the following
<snip>
> I don't see that I have hid2hci is this no longer included?    

It's in udev
Comment 9 Joel Kirchmeyer 2010-07-20 10:25:15 EDT
Sorry forgot to mention I DID find it because I ran it with the command previously saw in the log: "udevd-work[719]: 'hid2hci --method=dell
--devpath=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0' unexpected
exit with status 0x000a" which is when at that point things worked until I rebooted and then the message changed to what's in my previous reply.
Comment 10 Joel Kirchmeyer 2010-08-16 08:55:01 EDT
updated to udev-153-3 (testing) now boot messages are gone but when trying to pair


Aug 16 08:50:09 kirchmj bluetoothd[1744]: link_key_request (sba=00:24:2B:FA:49:E5, dba=90:84:0D:E4:8B:44)
Aug 16 08:50:09 kirchmj bluetoothd[1744]: pin_code_request (sba=00:24:2B:FA:49:E5, dba=90:84:0D:E4:8B:44)
Aug 16 08:50:17 kirchmj bluetoothd[1744]: link_key_notify (sba=00:24:2B:FA:49:E5, dba=90:84:0D:E4:8B:44, type=0)
Aug 16 08:50:17 kirchmj dbus: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.64" (uid=500 pid=6444 comm="/usr/bin/python) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.13" (uid=0 pid=1739 comm="/usr/sbin/bluetoothd))
Aug 16 08:50:49 kirchmj bluetoothd[1744]: /org/bluez/1739/hci0/dev_90_84_0D_E4_8B_44: error updating services: Connection timed out (110)
Comment 11 Harald Hoyer 2010-08-16 10:13:36 EDT
That might be another problem.
Comment 12 Joel Kirchmeyer 2010-08-16 10:22:48 EDT
well the same mouse/keyboard work with a different bt-usb device on the same system and the same internal bt card works with same mouse and keyboard on the same system with a different os and even in vm. if there's some other information i can provide please let me know.
Comment 13 Joel Kirchmeyer 2010-08-17 08:36:33 EDT
After much trial and error I finally have things working again consistently. Apparently the trick was a combination of upgrading to udev-153-3 and modifying /lib/udev/rules.d/70-hid2hci.rules to comment out the following


# Variety of Dell Bluetooth devices - match on a mouse device that is
# self powered and where a HID report needs to be sent to switch modes
# Known supported devices: 413c:8154, 413c:8158, 413c:8162
#ATTR{bInterfaceClass}=="03", ATTR{bInterfaceSubClass}=="01", #ATTR{bInterfaceProtocol}=="02", \
#  ATTRS{bDeviceClass}=="00", ATTRS{idVendor}=="413c", ATTRS{bmAttributes}=="e0", \
#  RUN+="hid2hci --method=dell --devpath=%p", ENV{HID2HCI_SWITCH}="1"


After I did that, I can use my mouse and keyboard even after rebooting.

For reference, the bt-usb device I'm using is the following. I don't know if there are others with this issue.
Bus 003 Device 005: ID 413c:8156 Dell Computer Corp. Wireless 370 Bluetooth Mini-card
Comment 14 Joel Kirchmeyer 2010-10-06 10:55:28 EDT
Now using udev-161-3.fc14.x86_64 I see that the lines in my previous update were still included in the rules file.
Comment 15 Joel Kirchmeyer 2011-02-22 12:29:33 EST
Same as previous
Comment 16 Thomas Janssen 2011-05-16 06:37:53 EDT
Not sure how you got it to work. It simply wont work here.

systemctl output after a hid2hci run by hand:

sys-devi...th-hci0.device loaded active plugged       /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.3/3-1.3:1.0/bluetooth/hci0

Says it's loaded active and plugged, but it is not:
May 16 12:22:13 tusdell dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

/var/log/messages output:

May 16 07:55:52 tusdell systemd[1]: Service bluetooth.target is not needed anymore. Stopping.
May 16 07:55:52 tusdell kernel: [29477.221298] usb 3-1.3: Product: Dell Wireless 370 Bluetooth Mini-card
May 16 09:17:01 tusdell systemd[1]: Service bluetooth.target is not needed anymore. Stopping.
May 16 09:17:02 tusdell kernel: [34081.911510] usb 3-1.3: Product: Dell Wireless 370 Bluetooth Mini-card
May 16 12:11:20 tusdell pulseaudio[2158]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
May 16 12:15:04 tusdell kernel: [  401.862381] usb 3-1.3: Product: Dell Wireless 370 Bluetooth Mini-card
May 16 12:15:04 tusdell kernel: [  402.001483] Bluetooth: Core ver 2.15
May 16 12:15:04 tusdell kernel: [  402.001769] Bluetooth: HCI device and connection manager initialized
May 16 12:15:04 tusdell kernel: [  402.001772] Bluetooth: HCI socket layer initialized
May 16 12:15:04 tusdell kernel: [  402.053643] Bluetooth: Generic Bluetooth USB driver ver 0.6
May 16 12:28:11 tusdell systemd[1]: Service bluetooth.target is not needed anymore. Stopping.

bluetooth isn't enabled for a second. It was working in F14 and it is working in $other_distro

No matter if i comment out or add lines in /lib/udev/rules.d/70-hid2hci.rules or not, no bluetooth.

I'm sorry, i changed the priority and severity to high, since bluetooth is one of the core funtionalitys needed here nowadays. No BT, no easy connection to smartphones and other devices.
Comment 17 Joel Kirchmeyer 2011-05-16 07:11:23 EDT
In regard to Thomas' comment. Once I got to 15, I ended up doing a "systemctl enable bluetooth.service". That in combination with the commented out 70-hid2hci.rules works (for my device specifically) for me consistently.
Comment 18 Thomas Janssen 2011-05-16 07:23:21 EDT
Joel, i think i have to thank you.

After runnig:
systemctl enable bluetooth.service

outputed the following:

ln -s '/lib/systemd/system/bluetooth.service' '/etc/systemd/system/dbus-org.bluez.service'
ln -s '/lib/systemd/system/bluetooth.service' '/etc/systemd/system/bluetooth.target.wants/bluetooth.service'

And another:
./hid2hci --method=dell --devpath=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0

My bluetooth is back. Not sure if it will survive a reboot. But at least i can have it by hand.

Thanks!
Comment 19 john.haxby@oracle.com 2011-06-16 06:10:15 EDT
I have been seeing the same problem since I upgraded to F15.  I have similar hardware:

usb 2-1.7: new full speed USB device using ehci_hcd and address 3
usb 2-1.7: New USB device found, idVendor=413c, idProduct=8187
usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1.7: Product: DW375 Bluetooth Module
usb 2-1.7: Manufacturer: Dell Computer Corp
usb 2-1.7: SerialNumber: 68A3C4470C4C

And, to date, I've simply been running bluetoothd by hand when I boot the machine.  Until today when I got fed up of doing that.

In /var/log/messages I have this:

Jun 16 10:40:57 sheep dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details
[...]
Jun 16 10:40:58 sheep kernel: [   65.565403] dbus[1147]: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service'
[...]
Jun 16 10:40:58 sheep NetworkManager[1071]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

As suggested in comment #18, I ran "systemctl enable bluetooth.service" and rebooted.

All is sweetness and light now: bluetoothd comes up and everything starts; I don't get those three error messages any more.

It seems to be that bluetooth.service should be enabled by default during installation but it isn't.
Comment 20 Fedora Admin XMLRPC Client 2011-10-20 12:08:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-10-20 12:11:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora Admin XMLRPC Client 2011-10-20 12:13:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Fedora Admin XMLRPC Client 2011-10-20 12:17:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Harald Hoyer 2011-10-21 05:54:38 EDT
bluez bug
Comment 25 Fedora End Of Life 2012-08-07 15:15:08 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.